Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class MergeCellsRecord.MergedRegion

    java.lang.Object
      org.apache.poi.hssf.record.MergeCellsRecord.MergedRegion

Enclosing class:
  MergeCellsRecord

public class MergeCellsRecord.MergedRegion
extends java.lang.Object

this is a low level representation of a MergedRegion of cells. It is an inner class because we do not want it used without reference to this class.

Field Summary
`short` | `col_from` upper right hand corner col
`short` | `col_to` lower right hand corner col
`int` | `row_from` upper lefthand corner row
`int` | `row_to` lower right hand corner row

Constructor Summary
`MergeCellsRecord.MergedRegion(int row_from, int row_to, short col_from, short col_to)` create a merged region all in one stroke.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### row_from

    public int row_from

  upper lefthand corner row

### row_to

    public int row_to

  lower right hand corner row

### col_from

    public short col_from

  upper right hand corner col

### col_to

    public short col_to

  lower right hand corner col

Constructor Detail

### MergeCellsRecord.MergedRegion

    public MergeCellsRecord.MergedRegion(int row_from,
                                         int row_to,
                                         short col_from,
                                         short col_to)

  create a merged region all in one stroke.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.